Skip to main content
GET
Get one report analysis and poll its status

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "result": The staged proposal produced by the analysis, plus its token/page usage.
Available options:
result

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
inboxItemId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
reportId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
step
enum<string>
required
Available options:
metadata,
anomalies,
comparison
status
enum<string>
required
Available options:
pending,
running,
succeeded,
failed,
cancelled
trigger
enum<string>
required
Available options:
manual,
auto
provider
enum<string>
required
Available options:
anthropic,
mistral
model
string
required
Required string length: 1 - 100
error
string | null
required
Maximum string length: 2000
attempts
integer
required
Required range: 0 <= x <= 3
startedAt
string<date-time> | null
required
finishedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
result
object | null
usage
object | null